Write-Host "Getting last updated module file..."

$modulesSrcPath = Join-Path $PSScriptRoot "../src/"
$moduleFile = Get-ChildItem -Path $modulesSrcPath -Recurse -Filter "*.elx" -ErrorAction Stop | Sort-Object LastWriteTime -Descending | Select-Object -First 1
if (-not $moduleFile) {
    Write-Error "No .elx file found in '$modulesSrcPath'."
    exit 1
}
Write-Host "Latest updated module file found: '$($moduleFile.FullName)'" -ForegroundColor Cyan
Write-Host "Extracting ELX internals for module tag '$($moduleFile.FullName)'..."

Import-Module $(Join-Path (Split-Path -Parent $MyInvocation.MyCommand.Definition) "extract-elx-module.psm1") -Force

Save-ElxInternals -ModulePath $moduleFile.FullName

Write-Host "ELX internals extracted successfully!" -ForegroundColor Green
